Name:           vorbisgain
Version:        0.37
Release:        %mkrel 14
Summary:        Adds tags to Ogg Vorbis files to adjust the volume
License:        GPLv2
Group:          Sound/Utilities
URL:            http://sjeng.sourceforge.net/vorbisgain.html

# http://sjeng.org/ftp/vorbis/vorbisgain-0.32.zip
Source0:        http://sjeng.org/ftp/vorbis/%name-%version.tar.bz2
Patch1:         %name-patch-configure.bz2
Patch2:         %name-fix-str-fmt.patch
BuildRequires:  oggvorbis-devel
BuildRequires:  pkgconfig(ogg)


%description
VorbisGain is a utility that uses a psycho-acoustic method to correct the
volume of an Ogg Vorbis file to a predefined standardized loudness.

It is meant as a replacement for the normalization that is commonly used
before encoding. Although normalization will ensure that each song has
the same peak volume, this unfortunately does not say anything about the
apparent loudness of the music, with the end result being that many
normalized files still don't sound equally loud. VorbisGain uses
psycho-acoustics to address this deficiency. Moreover, unlike
normalization, it's a loss-less procedure which works by adding tags to
the file. Additionally, it will add hints that can be used to prevent
clipping on playback. It is based upon the ReplayGain technology.

The end result is that the file ends up with superior playback quality
compared to a non-VorbisGain'ed file.

It needs player support to work. Non-supporting players will play back
the files without problems, but you'll miss out on the benefits.
Nowadays most good players such as ogg123 and mplayer are already
compatible. xmms will support this feature from release 1.2.8.


%prep
%setup -q
%patch1
%patch2 -p0

%build
%__chmod 755 configure
%configure --enable-recursive
%make

%install
%make_install

%files
%_bindir/*
%doc NEWS  README
%_mandir/man1/*1*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.37-14.mga8
+ Revision: 1518056
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.37-13.mga7
+ Revision: 1301637
- Mageia 7 Mass Rebuild

* Fri Jan 22 2016 daviddavid <daviddavid> 0.37-12.mga6
+ Revision: 926411
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.37-11.mga5
+ Revision: 742174
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.37-10.mga5
+ Revision: 690237
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.37-9.mga4
+ Revision: 520064
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.37-8.mga3
+ Revision: 385523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 barjac <barjac> 0.37-7.mga3
+ Revision: 344008
- update group
- correct license
- clean spec

* Thu Mar 17 2011 tv <tv> 0.37-6.mga1
+ Revision: 73030
- imported package vorbisgain


* Wed Oct 28 2009 Rémy Clouard <shikamaru@mandriva.org> 0.37-6mdv2010.0
+ Revision: 459826
- fix build (string format error)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.37-3mdv2009.0
+ Revision: 255593
- rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.37-1mdv2008.1
+ Revision: 177313
- update to new version 0.37

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.36-1mdv2008.1
+ Revision: 129215
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode man pages extension
- import vorbisgain


* Thu Jun 02 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.36-1mdk
- New release 0.36
- %%mkrel

* Thu Jun 02 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.34-3mdk
- Fix Source

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.34-2mdk
- rebuild

* Sun Oct 12 2003 Han Boetes <han@linux-mandrake.com> 0.34-1mdk
- Bump!

* Mon Apr 21 2003 Han Boetes <han@linux-mandrake.com> 0.32-3mdk
- Remove the patch again. OpenBSD-guru's say it's nonsense and
  vorbisgain segfaults.
- Added a patch to clean up configure

* Tue Mar 18 2003 Han Boetes <han@linux-mandrake.com> 0.32-2mdk
- added patches and updates that can also be found in the OpenBSD-port
- mplayer and ogg123 support this extension BTW :)

* Tue Mar  4 2003 Han Boetes <han@linux-mandrake.com> 0.32-1mdk
- This rpm works, the program works, just nothing supports it yet.
  We have to wait for xmms-1.2.8. Ow well. :)
